Exports exercise data in TCX format.
Note: While the Authorization section below states that any one of the listed scopes is accepted, this specific method requires the user to provide both one of the activity_and_fitness scopes (normal or readonly) AND one of the location scopes (normal or readonly) in their access token to succeed.
HTTP request
GET https://health.googleapis.com/v4/{name=users/*/dataTypes/*/dataPoints/*}:exportExerciseTcx
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the exercise data point to export. Format: The |
Query parameters
| Parameters | |
|---|---|
partialData |
Optional. Indicates whether to include the TCX data points when the GPS data is not available. If not specified, defaults to |
Request body
The request body must be empty.
Response body
Represents a Response for exporting exercise data in TCX format.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "tcxData": string } |
| Fields | |
|---|---|
tcxData |
Contains the exported TCX data. |